*** a/src/backend/replication/syncrep.c
--- b/src/backend/replication/syncrep.c
***************
*** 445,451 **** SyncRepGetStandbyPriority(void)
  }
  
  /*
!  * Walk queue from head setting setting the state of any backends that
   * need to be woken, remove them from the queue and then wake them.
   * Set all = true to wake whole queue, or just up to LSN.
   *
--- 445,451 ----
  }
  
  /*
!  * Walk queue from head for setting the state of any backends that
   * need to be woken, remove them from the queue and then wake them.
   * Set all = true to wake whole queue, or just up to LSN.
   *
*** a/src/backend/storage/ipc/shmqueue.c
--- b/src/backend/storage/ipc/shmqueue.c
***************
*** 157,163 **** SHMQueueNext(const SHM_QUEUE *queue, const SHM_QUEUE *curElem, Size linkOffset)
  /*--------------------
   * SHMQueuePrev -- Get the previous element from a queue
   *
!  * Same as SHMQueueNext, just starting at tail and moving towards head
   * All other comments and usage applies.
   */
  Pointer
--- 157,163 ----
  /*--------------------
   * SHMQueuePrev -- Get the previous element from a queue
   *
!  * Same as SHMQueueNext, just starting at tail and moving towards head.
   * All other comments and usage applies.
   */
  Pointer
*** a/src/include/replication/syncrep.h
--- b/src/include/replication/syncrep.h
***************
*** 28,34 ****
  
  /* user-settable parameters for synchronous replication */
  extern bool sync_rep_mode;
- extern int 	sync_rep_timeout;
  extern char *SyncRepStandbyNames;
  
  /* called by user backend */
--- 28,33 ----
***************
*** 43,48 **** extern void SyncRepReleaseWaiters(void);
  
  /* called by various procs */
  extern int SyncRepWakeQueue(bool all);
! const char *assign_synchronous_standby_names(const char *newval, bool doit, GucSource source);
  
  #endif   /* _SYNCREP_H */
--- 42,47 ----
  
  /* called by various procs */
  extern int SyncRepWakeQueue(bool all);
! extern const char *assign_synchronous_standby_names(const char *newval, bool doit, GucSource source);
  
  #endif   /* _SYNCREP_H */